"use strict";

var _checkSetup = require("@sharyn/check-setup");

var config = {
  presets: [],
  plugins: [],
  env: {
    development: {
      plugins: []
    }
  }
};

if ((0, _checkSetup.hasPackage)('@babel/preset-env')) {
  config.presets.push('@babel/preset-env');
}

if ((0, _checkSetup.hasPackage)('@babel/preset-react')) {
  config.presets.push('@babel/preset-react');
}

if ((0, _checkSetup.hasPackage)('@babel/preset-flow')) {
  config.presets.push('@babel/preset-flow');
}

if ((0, _checkSetup.hasPackage)('@babel/plugin-proposal-pipeline-operator')) {
  config.plugins.push(['@babel/plugin-proposal-pipeline-operator', {
    proposal: 'minimal'
  }]);
}

if ((0, _checkSetup.hasPackage)('@babel/plugin-proposal-do-expressions')) {
  config.plugins.push('@babel/plugin-proposal-do-expressions');
}

if ((0, _checkSetup.hasPackage)('@babel/plugin-proposal-nullish-coalescing-operator')) {
  config.plugins.push('@babel/plugin-proposal-nullish-coalescing-operator');
}

if ((0, _checkSetup.hasPackage)('@babel/plugin-proposal-optional-chaining')) {
  config.plugins.push('@babel/plugin-proposal-optional-chaining');
}

if ((0, _checkSetup.hasPackage)('babel-plugin-module-resolver')) {
  config.plugins.push(['babel-plugin-module-resolver', {
    root: ['./src']
  }]);
}

if ((0, _checkSetup.hasPackage)('babel-plugin-flow-react-proptypes')) {
  config.env.development.plugins.push('babel-plugin-flow-react-proptypes');
}

if ((0, _checkSetup.hasPackage)('react-hot-loader')) {
  config.env.development.plugins.push('react-hot-loader/babel');
}

module.exports = function () {
  return config;
};